package org.octopus.data.desensitized.core.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import org.octopus.data.desensitized.core.enumeration.DesensitizedPolicy;

/**
 * @author lemon
 * @date 2021/8/27 11:11
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.FIELD, ElementType.METHOD, ElementType.TYPE})
public @interface Desensitized {

    DesensitizedPolicy desensitizedPolicy() default DesensitizedPolicy.DEFAULT;

    /**
     * 是否开启脱敏,默认是
     */
    boolean enable() default true;

    /**
     * 前置不需要打码的长度
     *
     * @return
     */
    int prefixNoMaskLen() default DesensitizedRule.DEFAULT_VALUE;

    /**
     * 后置不需要打码的长度
     *
     * @return
     */
    int suffixNoMaskLen() default DesensitizedRule.DEFAULT_VALUE;

    /**
     * 用什么打码
     *
     * @return
     */
    String mask() default "*";
}
