package org.octopus.data.desensitized.core.annotation;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lemon
 * @date 2021/8/27 11:51
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DesensitizedRule {

    public static final int DEFAULT_VALUE = -1;

    /**
     * 是否开启脱敏,默认是
     */
    private boolean enable = true;

    /**
     * 前置不需要打码的长度
     *
     * @return
     */
    private int prefixNoMaskLen = DEFAULT_VALUE;

    /**
     * 后置不需要打码的长度
     *
     * @return
     */
    private int suffixNoMaskLen = DEFAULT_VALUE;

    /**
     * 用什么打码
     *
     * @return
     */
    private String mask = "*";
}
