package org.octopus.data.desensitized.core.enumeration;

/**
 * 脱敏策略
 *
 * @author lemon
 * @date 2021/8/27 11:15
 */
public enum DesensitizedPolicy {
    /**
     * 默认脱敏策略
     */
    DEFAULT,
    /**
     * 中文名
     */
    CHINESE_NAME,
    /**
     * 身份证号
     */
    ID_CARD,
    /**
     * 座机号
     */
    FIXED_PHONE,
    /**
     * 手机号
     */
    MOBILE_PHONE,
    /**
     * 地址
     */
    ADDRESS,
    /**
     * 电子邮件
     */
    EMAIL,
    /**
     * 银行卡
     */
    BANK_CARD,
    /**
     * 公司开户银行联号
     */
    CNAPS_CODE,
    /**
     * 密码
     */
    PASSWORD,
    /**
     * 车牌号
     */
    CARNUMBER;
}
