package org.octopus.data.desensitized.core.registry;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;
import org.octopus.data.desensitized.core.enumeration.DesensitizedPolicy;
import org.octopus.data.desensitized.core.strategy.DesensitizedStrategy;

/**
 * @author lemon
 * @date 2021/8/28 09:43
 */
public class GlobalDesensitizedStrategyRegistry {

    private static final Map<DesensitizedPolicy, DesensitizedStrategy> DESENSITIZED_STRATEGIES =
            new ConcurrentHashMap<>(16);

    public static void registerDesensitizedStrategy(DesensitizedStrategy desensitizedStrategy) {
        GlobalDesensitizedStrategyRegistry.DESENSITIZED_STRATEGIES.put(desensitizedStrategy.support(),
                desensitizedStrategy);
    }

    public static DesensitizedStrategy obtainDesensitizedStrategy(DesensitizedPolicy policy) {
        return GlobalDesensitizedStrategyRegistry.DESENSITIZED_STRATEGIES.get(policy);
    }
}
