package org.octopus.data.desensitized.core.strategy;

import org.octopus.data.desensitized.core.annotation.DesensitizedRule;
import org.octopus.data.desensitized.core.enumeration.DesensitizedPolicy;

/**
 * @author lemon
 * @date 2021/8/27 11:14
 */
public interface DesensitizedStrategy<T> {

    /**
     * 数据脱敏策略
     *
     * @return
     */
    DesensitizedPolicy support();

    /**
     * 数据脱敏
     *
     * @param original
     * @param desensitizedRule
     * @return
     */
    T convert(T original, DesensitizedRule desensitizedRule);
}
