package org.octopus.data.desensitized.core.strategy.impl;

import org.octopus.data.desensitized.core.annotation.DesensitizedRule;
import org.octopus.data.desensitized.core.enumeration.DesensitizedPolicy;
import org.octopus.data.desensitized.core.util.DesensitizedUtils;

/**
 * [地址] 只显示到地区，不显示详细地址；我们要对个人信息增强保护<例子：北京市海淀区****>
 */
public class AddressDesensitizedStrategy extends DefaultDesensitizedStrategy {

    public AddressDesensitizedStrategy() {
        super(DesensitizedUtils.buildDefaultDesensitizedRule(6, 0));
    }

    public AddressDesensitizedStrategy(DesensitizedRule desensitizedRule) {
        super(desensitizedRule);
    }

    @Override
    public DesensitizedPolicy support() {
        return DesensitizedPolicy.ADDRESS;
    }
}
