package org.octopus.data.desensitized.core.strategy.impl;

import org.octopus.data.desensitized.core.annotation.DesensitizedRule;
import org.octopus.data.desensitized.core.enumeration.DesensitizedPolicy;
import org.octopus.data.desensitized.core.util.DesensitizedUtils;

/**
 * [银行卡号] 前六位，后四位，其他用星号隐藏每位1个星号<例子:6222600**********1234>
 */
public class BankCardDesensitizedStrategy extends DefaultDesensitizedStrategy {

    public BankCardDesensitizedStrategy() {
        super(DesensitizedUtils.buildDefaultDesensitizedRule(6, 4));
    }

    public BankCardDesensitizedStrategy(DesensitizedRule desensitizedRule) {
        super(desensitizedRule);
    }

    @Override
    public DesensitizedPolicy support() {
        return DesensitizedPolicy.BANK_CARD;
    }
}
