package org.octopus.data.desensitized.core.strategy.impl;

import org.octopus.data.desensitized.core.annotation.DesensitizedRule;
import org.octopus.data.desensitized.core.enumeration.DesensitizedPolicy;
import org.octopus.data.desensitized.core.util.DesensitizedUtils;

/**
 * 车牌号】前两位后一位，比如：京A****5
 */
public class CarNumberDesensitizedStrategy extends DefaultDesensitizedStrategy {

    public CarNumberDesensitizedStrategy() {
        super(DesensitizedUtils.buildDefaultDesensitizedRule(2, 1));
    }

    public CarNumberDesensitizedStrategy(DesensitizedRule desensitizedRule) {
        super(desensitizedRule);
    }

    @Override
    public DesensitizedPolicy support() {
        return DesensitizedPolicy.CARNUMBER;
    }
}
