package org.octopus.data.desensitized.core.strategy.impl;

import org.octopus.data.desensitized.core.annotation.DesensitizedRule;
import org.octopus.data.desensitized.core.enumeration.DesensitizedPolicy;
import org.octopus.data.desensitized.core.util.DesensitizedUtils;

/**
 * [中文姓名] 只显示第一个汉字，其他隐藏为2个星号<例子：李**>
 */
public class ChineseNameDesensitizedStrategy extends DefaultDesensitizedStrategy {

    public ChineseNameDesensitizedStrategy() {
        super(DesensitizedUtils.buildDefaultDesensitizedRule(1, 1));
    }

    public ChineseNameDesensitizedStrategy(DesensitizedRule desensitizedRule) {
        super(desensitizedRule);
    }

    @Override
    public DesensitizedPolicy support() {
        return DesensitizedPolicy.CHINESE_NAME;
    }

    @Override
    public String doConvert(String original, DesensitizedRule desensitizedRule) {
        if (original.length() <= 2) {
            desensitizedRule.setPrefixNoMaskLen(1);
            desensitizedRule.setSuffixNoMaskLen(0);
        }

        return DesensitizedUtils.mask(original, desensitizedRule);
    }
}
