package org.octopus.data.desensitized.core.strategy.impl;

import lombok.Getter;
import org.octopus.data.desensitized.core.annotation.DesensitizedRule;
import org.octopus.data.desensitized.core.enumeration.DesensitizedPolicy;
import org.octopus.data.desensitized.core.util.DesensitizedUtils;

/**
 * [公司开户银行联号] 公司开户银行联行号,显示前两位，其他用星号隐藏，每位1个星号<例子:12********>
 */
@Getter
public class CnapsCodeDesensitizedStrategy extends DefaultDesensitizedStrategy {

    public CnapsCodeDesensitizedStrategy() {
        super(DesensitizedUtils.buildDefaultDesensitizedRule(2, 0));
    }

    public CnapsCodeDesensitizedStrategy(DesensitizedRule desensitizedRule) {
        super(desensitizedRule);
    }

    @Override
    public DesensitizedPolicy support() {
        return DesensitizedPolicy.CNAPS_CODE;
    }
}
