package org.octopus.data.desensitized.core.strategy.impl;

import org.apache.commons.lang3.StringUtils;
import org.octopus.data.desensitized.core.annotation.DesensitizedRule;
import org.octopus.data.desensitized.core.enumeration.DesensitizedPolicy;
import org.octopus.data.desensitized.core.strategy.AbstractDesensitizedStrategy;
import org.octopus.data.desensitized.core.util.DesensitizedUtils;

/**
 * @author lemon
 * @date 2021/8/27 11:44
 */
public class DefaultDesensitizedStrategy extends AbstractDesensitizedStrategy<String> {

    private final DesensitizedRule desensitizedRule;

    public DefaultDesensitizedStrategy() {
        this.desensitizedRule = DesensitizedUtils.buildDefaultDesensitizedRule(0, 0);
    }

    public DefaultDesensitizedStrategy(DesensitizedRule desensitizedRule) {
        this.desensitizedRule = desensitizedRule;
    }


    @Override
    public DesensitizedPolicy support() {
        return DesensitizedPolicy.DEFAULT;
    }

    @Override
    protected DesensitizedRule obtainDefaultDesensitizedRule() {
        return this.desensitizedRule;
    }

    @Override
    public String doConvert(String original, DesensitizedRule desensitizedRule) {
        if (StringUtils.isBlank(original)) {
            return original;
        }

        return DesensitizedUtils.mask(original, desensitizedRule);
    }
}
