package org.octopus.data.desensitized.core.strategy.impl;

import org.apache.commons.lang3.StringUtils;
import org.octopus.data.desensitized.core.annotation.DesensitizedRule;
import org.octopus.data.desensitized.core.enumeration.DesensitizedPolicy;
import org.octopus.data.desensitized.core.util.DesensitizedUtils;

/**
 * [电子邮箱] 邮箱前缀仅显示第一个字母，前缀其他隐藏，用星号代替，@及后面的地址显示<例子:g**@163.com>
 */
public class EmailDesensitizedStrategy extends DefaultDesensitizedStrategy {

    public EmailDesensitizedStrategy() {
        super(DesensitizedUtils.buildDefaultDesensitizedRule(1, 0));
    }

    public EmailDesensitizedStrategy(DesensitizedRule desensitizedRule) {
        super(desensitizedRule);
    }

    @Override
    public DesensitizedPolicy support() {
        return DesensitizedPolicy.EMAIL;
    }

    @Override
    public String doConvert(String original, DesensitizedRule desensitizedRule) {
        if (StringUtils.isBlank(original) || !original.contains("@")) {
            return original;
        }

        int index = StringUtils.indexOf(original, "@");
        String temp = original.substring(0, index);
        temp = DesensitizedUtils.mask(temp, desensitizedRule);

        if (StringUtils.isBlank(temp)) {
            return original;
        }

        return temp.concat(original.substring(index));
    }
}
