package org.octopus.data.desensitized.core.strategy.impl;

import org.octopus.data.desensitized.core.annotation.DesensitizedRule;
import org.octopus.data.desensitized.core.enumeration.DesensitizedPolicy;
import org.octopus.data.desensitized.core.util.DesensitizedUtils;

/**
 * [身份证号] 显示最后四位，其他隐藏。共计18位或者15位。<例子：*************5762>
 */
public class IdCardDesensitizedStrategy extends DefaultDesensitizedStrategy {

    public IdCardDesensitizedStrategy() {
        super(DesensitizedUtils.buildDefaultDesensitizedRule(0, 4));
    }

    public IdCardDesensitizedStrategy(DesensitizedRule desensitizedRule) {
        super(desensitizedRule);
    }

    @Override
    public DesensitizedPolicy support() {
        return DesensitizedPolicy.ID_CARD;
    }
}
