package org.octopus.data.desensitized.core.strategy.impl;

import org.octopus.data.desensitized.core.annotation.DesensitizedRule;
import org.octopus.data.desensitized.core.enumeration.DesensitizedPolicy;
import org.octopus.data.desensitized.core.util.DesensitizedUtils;

/**
 * [手机号码] 前三位，后四位，其他隐藏<例子:123******6789>
 */
public class MobilePhoneDesensitizedStrategy extends DefaultDesensitizedStrategy {

    public MobilePhoneDesensitizedStrategy() {
        super(DesensitizedUtils.buildDefaultDesensitizedRule(3, 4));
    }

    public MobilePhoneDesensitizedStrategy(DesensitizedRule desensitizedRule) {
        super(desensitizedRule);
    }

    @Override
    public DesensitizedPolicy support() {
        return DesensitizedPolicy.MOBILE_PHONE;
    }
}
