package org.octopus.data.desensitized.core.strategy.impl;

import org.octopus.data.desensitized.core.annotation.DesensitizedRule;
import org.octopus.data.desensitized.core.enumeration.DesensitizedPolicy;
import org.octopus.data.desensitized.core.util.DesensitizedUtils;

/**
 * 密码脱敏
 */
public class PasswordDesensitizedStrategy extends DefaultDesensitizedStrategy {

    public PasswordDesensitizedStrategy() {
        super(DesensitizedUtils.buildDefaultDesensitizedRule(0, 0));
    }

    public PasswordDesensitizedStrategy(DesensitizedRule desensitizedRule) {
        super(desensitizedRule);
    }

    @Override
    public DesensitizedPolicy support() {
        return DesensitizedPolicy.PASSWORD;
    }
}
