package org.octopus.data.desensitized.jackson.serializer;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.octopus.data.desensitized.core.annotation.Desensitized;
import org.octopus.data.desensitized.core.builder.DataMaskToStringBuilder;
import org.octopus.data.desensitized.core.enumeration.DesensitizedPolicy;

@Getter
@Setter
public class BaseResponse<T> {

    @JsonSerialize(using = JacksonDesensitizedSerializer.class)
    @Desensitized(desensitizedPolicy = DesensitizedPolicy.ADDRESS, enable = false)
    private String address;

    @JsonSerialize(using = JacksonDesensitizedSerializer.class)
    @Desensitized(desensitizedPolicy = DesensitizedPolicy.MOBILE_PHONE)
    private String phone;

    private T data;

    public BaseResponse() {
    }

    @Override
    public String toString() {
        return new DataMaskToStringBuilder(this, ToStringStyle.SHORT_PREFIX_STYLE).toString();
    }
}